Subject: Re: bug#47644: Acknowledgement (guix on foreign distro won't upgrade, stuck on old commits)

From: Brian Zwahr <[email-masked]>
Date: Thu, 08 Apr 2021 20:43:07 -0500

Well, I figured out my issue. I had created backup files manifest.scm 
and channels.scm and put them in the ~/.config/guix directory for 
storage. Turns out that these files, or at least the channels one, get 
read and used automatically by `guix pull`.  I have moved those files 
to a different directory for storage and backup, and now everything 
seems fine.

Turns out the commit that `guix pull` was stuck on was the one defined 
in my channels.scm file.

If anyone else experiences the same issue, perhaps this will help.

On Wed, Apr 7 2021 at 08:21:02 PM +0000, GNU bug Tracking System 
<[email-masked]> wrote:
> Thank you for filing a new bug report with debbugs.gnu.org.
> 
> This is an automatically generated reply to let you know your message
> has been received.
> 
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
> 
> Your message has been sent to the package maintainer(s):
>  [email-masked] <mailto:[email-masked]>
> 
> If you wish to submit further information on this problem, please
> send it to [email-masked] <mailto:[email-masked]>.
> 
> Please do not send mail to [email-masked] 
> <mailto:[email-masked]> unless you wish
> to report a problem with the Bug-tracking system.
> 
> --
> 47644: <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47644>
> GNU Bug Tracking System
> Contact [email-masked] <mailto:[email-masked]> with 
> problems